Bug 82541 - Procedure for changing passwords for new user account is inaccurate
Procedure for changing passwords for new user account is inaccurate
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rhl-sap (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Bailey
Tammy Fox
https://www.redhat.com/docs/manuals/l...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-23 01:36 EST by Karsten Wade
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-21 12:06:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
plain text "patch" for issue described (2.07 KB, text/plain)
2003-01-23 01:46 EST, Karsten Wade
no flags Details

  None (edit)
Description Karsten Wade 2003-01-23 01:36:12 EST
Description of problem:

In the last section of the above page, New User Passwords, a method is described
which is technically inaccurate.  First are the actual issues, then a suggested fix.

Issues:

1. 'chage -d 0' should read 'chage -d 0 <username>'

2. '/usr/sbin/usermod -p "<password>"' should read '/usr/sbin/usermod -p
"<password>" <username>' -- the username should be appended, as in 1. above

3. '/usr/sbin/usermod -p "<password>" <username>' puts an unecrypted password in
/etc/shadow, and there will be no way to login (this effectively disables the
account).

When looking for a solution, it becomes obvious that /usr/bin/passwd would be a
better choice.  Also, leading people down the path of null passwords is risky
business, at best.

See follow-up for a plain text "patch".


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open up the URL above
2. Read the paragraphs
3. 
    
Actual results:
Inaccurate technical information

Expected results:
Accurate technical information :)

Additional info:
Comment 1 Karsten Wade 2003-01-23 01:46:08 EST
Created attachment 89545 [details]
plain text "patch" for issue described

This is a plain text suggestion for fixing this error.	This is the fix that I
propose to use in related documentation.

I can supply the actual markup used for this, but don't recommend using the
entire file as it is customized for another version of RHL and could therefore
contain other inaccuracies against RHL 8.0.
Comment 2 Ed Bailey 2003-02-21 12:06:43 EST
These issues will be addressed in the next released version of the manual. 
Thanks for the feedback!

Note You need to log in before you can comment on or make changes to this bug.